Bug 485419 - X server scrolling errors
X server scrolling errors
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
: 473484 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2009-02-13 09:35 EST by Alain Knaff
Modified: 2009-12-04 12:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-04 12:57:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/var/log/Xorg.0.log (43.58 KB, text/plain)
2009-02-20 11:19 EST, Alain Knaff
no flags Details
Screenshot of distortion (283.75 KB, image/png)
2009-06-25 10:27 EDT, Mark Locascio
no flags Details
Another screenshot (208.17 KB, image/png)
2009-06-25 10:28 EDT, Mark Locascio
no flags Details

  None (edit)
Description Alain Knaff 2009-02-13 09:35:16 EST
Description of problem:

When scrolling through a web page in firefox or konqueror, occasionally lines are duplicated, or stuff is missing, or other corruption is shown. This happens both when dragging the scrollbar, or when using the mouse wheel (scrolling by small amounts at a time). It does not happen when clicking below or above the scrollbar to scroll by entire page.

Not sure if it's the same root cause, but in console the font in the last line (the one I type in) bolds and unbolds itself as I type. Sometimes this also happens within konqueror's textareas.

In case it matters, I've got an Intel 82865G Integrated GraphicsController (rev 02)

# lspci | fgrep -i vga
00:02.0 VGA compatible controller: Intel Corporation 82865G Integrated GraphicsController (rev 02)

Version-Release number of selected component (if applicable):


How reproducible:

It does not happen always... but often enough to be annoying

Steps to Reproduce:
1. Open a long webpage in Firefox
2. Quick scroll up and down by dragging the scrollbar

Actual results:

Duplicated lines or other visual corruption show up

Expected results:

No corruption should occur.
Additional info:
Comment 1 Matěj Cepl 2009-02-19 12:49:04 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf (if you have one) whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Alain Knaff 2009-02-20 11:19:33 EST
Created attachment 332726 [details]

Comment 3 Alain Knaff 2009-02-20 11:20:39 EST
Thanks for your quick reply.

I don't use an /etc/X11/xorg.conf on this machine. However, I've attached my /var/log/Xorg.0.log
Comment 4 Mark Locascio 2009-06-25 10:27:58 EDT
Created attachment 349404 [details]
Screenshot of distortion

I have the same problem. Or at least, what I perceive to be the same problem. It's a little hard to describe in words, but it sounds the same. I took some screenshots so you can see it.

Typically the text gets duplicated and shifted around like in the attached images, and then you have to force it to refresh by either going to a different desktop, giving focus to another window, flipping to a different tab, or highlighting some text (if you can find it) and dragging it.

This has been happening since I installed F10 around its release. I am currently running xorg-x11-server-Xorg-1.5.3-17.fc10.i386 on a P4 with Intel graphics.
Comment 5 Mark Locascio 2009-06-25 10:28:37 EDT
Created attachment 349405 [details]
Another screenshot
Comment 6 Vedran Miletić 2009-09-21 10:38:41 EDT
*** Bug 473484 has been marked as a duplicate of this bug. ***
Comment 7 Vedran Miletić 2009-11-05 18:12:18 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, including Intel driver, which may have resolved this issue.
To be more precise, Intel has undergone a major rewrite during Fedora 10, 11 and 12 cycles, and whole driver is working a lot better now. Users who have experienced this problem are encouraged to retry with at least Fedora 12 Beta and see if the issue is still relevant.

Please, if you experience this problem on Fedora 12 Beta or up-to-date system running Rawhide, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

We hope to see how many older bugs in Intel driver are still relevant today, in hope that most of them were fixed in rewrite process.

[This is a bulk message for all open Fedora 10 i810-related bugs (39 of them are still open). I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 8 Alain Knaff 2009-11-06 05:44:23 EST
The problem seems to be gone now, both in Konqueror and Firefox.

Comment 9 Bug Zapper 2009-11-18 06:06:03 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 10 Vedran Miletić 2009-12-04 12:57:46 EST
Thank you for your bug report.

We are sorry, but the Fedora Project is will soon stop longer releasing bug fixes or any other updates for this version of Fedora. There were so many changes between Fedora 10 and Fedora 12 in Intel driver and X.Org that it's very likely that this bug is fixed. This bug will be set to CLOSED:WONTFIX to reflect this, but please reopen it if the problem persists after upgrading to the latest version of Fedora (version 12), which is available from:


Note You need to log in before you can comment on or make changes to this bug.